Bug 60725 - Unresolved dependencies on glibc internals
Unresolved dependencies on glibc internals
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: w3m (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-05 12:13 EST by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-06 02:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-03-05 12:13:52 EST
Description of Problem:

After upgrading to glibc-2.2.90-8 I get:

| $ w3m
| /usr/bin/w3m-en: relocation error: /usr/bin/w3m-en: symbol __libc_stack_end,
version GLIBC_2.1 not defined in file ld-linux.so.2 with link time reference


After rebuilding the w3m package with rpm-4.0.4-7x.4, the rpm-package contains
an unresolved dependency now:

| $ rpm -U /usr/src/redhat/RPMS/i386/w3m-0.2.5.1-1.1.i386.rpm
| error: failed dependencies:
|         ld-linux.so.2(GLIBC_PRIVATE)   is needed by w3m-0.2.5.1-1.1

(when forcing the installation, w3m is running fine)


Version-Release number of selected component (if applicable):

w3m-0.2.5.1-1
glibc-2.2.90-8
rpm-4.0.4-7x.4
Comment 1 Akira TAGOH 2002-03-06 03:33:13 EST
fixed in 0.3-1.

Note You need to log in before you can comment on or make changes to this bug.